#!/bin/bash

# Script saved from Dejal Simon 2.5.6 <http://www.dejal.com/simon/>
# 
# Saved by David Sinclair on 2010-03-30 09:35:27
# 
# Script is for Bourne-Again Shell: /bin/bash

# *** INSTRUCTIONS: ***
# 
# This will calculate the elapsed runtime for the Simon.app process. If 
# the application has been recently started or restarted an appropriate 
# notification can be sent. 

# *** CUSTOM RESULTS: ***
# 
# 0: Success
# 1: Elapsed runtime indicates Simon (re)start.

# *** SCRIPT: ***

# This will return the elapsed runtime for the Simon.app process
SIMON_UPTIME=`ps -Aeo etime,command | grep -v grep | grep /Simon.app | awk '{ print $1 }'`

# Return 1 (Failure) if Simon has been running for less than 2 minutes.
# A new or relaunch will return a failure.
# Adjust the Regex to match the Simon Checking Options
# My Checking options are:
# After success... 2 minutes
# After failure... 2 minutes
# Timeout      ... 2 minutes
if [[ $SIMON_UPTIME =~ ^0[0-1]\:[0-5][0-9]$ ]]
then
	echo "Simon was recently launched ($SIMON_UPTIME)"
	exit 1
else
	echo "Simon has been running $SIMON_UPTIME."
	exit 0
fi
